//---------------------------------------------------------------------------
#ifndef Trans2H
#define Trans2H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <inifiles.hpp>
//---------------------------------------------------------------------------
class TFSettings : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label1;
	TEdit *EHeader;
	TLabel *Label6;
	TEdit *EProjDir;
	TStringGrid *SGResFiles;
	TLabel *Label7;
	TLabel *Label5;
	TEdit *EFunction;
	TLabel *Label4;
	TEdit *EStartId;
	TButton *BSave;
	TButton *BLoad;
	TLabel *Label2;
	TComboBox *CBProject;
	TButton *BOk;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall BSaveClick(TObject *Sender);
	void __fastcall BLoadClick(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall BOkClick(TObject *Sender);
private:	// User declarations
	TIniFile *Ini;
public:		// User declarations
	String RHName;
    String RCNames[256];
	__fastcall TFSettings(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFSettings *FSettings;
//---------------------------------------------------------------------------
#endif
